Subject: Re: [PATCH 1/1] network memory allocator.

From: Peter Zijlstra <[email-masked]>
Date: Tue, 15 Aug 2006 19:42:16 +0200

On Tue, 2006-08-15 at 19:05 +0400, Evgeniy Polyakov wrote:

> > Not sure on the details; but you say: when we reach the threshold all
> > following packets will be dropped. So if you provide enough memory to
> > exceed the limit, you have some extra. If you then use that extra bit to
> > allow ACKs to pass through, then you're set.
> > 
> > Sounds good, but you'd have to carve a path for the ACKs, right? Or is
> > that already there?
> 
> Acks with or without attached data are processed before data queueing.
> See tcp_rcv_established().

Right, however I just realised that most storage protocols (level 7)
have their own ACK msgs and do not rely on TCP (level 4) ACKs like this.

So I would like to come back on this, I do need a full data channel
open.